Debian Bug report logs - #700692
ITP: libcrypt-random-seed-perl -- Perl module providing strong randomness for seeding

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Sat, 16 Feb 2013 09:00:02 UTC

Owned by: Salvatore Bonaccorso <carnil@debian.org>

Severity: wishlist

Merged with 701575

Fixed in version libcrypt-random-seed-perl/0.03-1

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, dkg@debian.org, wnpp@debian.org:
Bug#700692; Package wnpp. (Sat, 16 Feb 2013 09:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, dkg@debian.org, wnpp@debian.org. (Sat, 16 Feb 2013 09:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libcrypt-random-seed-perl -- Perl module providing strong randomness for seeding
Date: Sat, 16 Feb 2013 09:51:48 +0100
Package: wnpp
Owner: Salvatore Bonaccorso <carnil@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org,dkg@debian.org

* Package name    : libcrypt-random-seed-perl
  Version         : 0.2
  Upstream Author : Dana A Jacobsen <dana@acm.org>
* URL             : https://metacpan.org/release/Crypt-Random-Seed/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : Perl module providing strong randomness for seeding

Crypt::Random::Seed implements simple mechanism to get strong
randomness. The main purpose of this module is to provide a simple way
to generate a seed for a PRNG such as Math::Random::ISAAC, for use in
cryptographic key generation, or as the seed for an upstream module
such as Bytes::Random::Secure. Flags for requiring non-blocking sources
are allowed, as well as a very simple method for plugging in a source.

This package is needed to package Bytes::Random::Secure, used by
(Alt::)Crypt::RSA for the final Crypt::OpenPGP package.

Regards,
Salvatore



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 17 Feb 2013 07:06:04 GMT) Full text and rfc822 format available.

Merged 700692 701575 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 24 Feb 2013 17:09:06 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Wed, 27 Feb 2013 11:12:27 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Wed, 27 Feb 2013 11:12:28 GMT) Full text and rfc822 format available.

Message #14 received at 700692-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 700692-close@bugs.debian.org
Subject: Bug#700692: fixed in libcrypt-random-seed-perl 0.03-1
Date: Wed, 27 Feb 2013 11:00:06 +0000
Source: libcrypt-random-seed-perl
Source-Version: 0.03-1

We believe that the bug you reported is fixed in the latest version of
libcrypt-random-seed-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700692@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated libcrypt-random-seed-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 16 Feb 2013 22:55:17 +0100
Source: libcrypt-random-seed-perl
Binary: libcrypt-random-seed-perl
Architecture: source all
Version: 0.03-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 libcrypt-random-seed-perl - Perl module providing strong randomness for seeding
Closes: 700692
Changes: 
 libcrypt-random-seed-perl (0.03-1) unstable; urgency=low
 .
   * Initial Release (Closes: #700692).
Checksums-Sha1: 
 61a06ce9382b7cdac783e17656f4a24d59a2e6af 2148 libcrypt-random-seed-perl_0.03-1.dsc
 032c7c7c1ddae3c80bb90d0514b412f33dca9cfa 22175 libcrypt-random-seed-perl_0.03.orig.tar.gz
 5cda72f3bcc40e35b98e26446bd119b89365f32f 1519 libcrypt-random-seed-perl_0.03-1.debian.tar.gz
 d9696cb29de07ddf36707dc69acbb9ae7c56a582 22486 libcrypt-random-seed-perl_0.03-1_all.deb
Checksums-Sha256: 
 b8b927a47a65f8d595eb624958d4ef4171bbc2db1052f8f84e19bff7a72935ab 2148 libcrypt-random-seed-perl_0.03-1.dsc
 593da54b522c09cc26bbcc0e4e49c1c8e688a6fd33b0726af801d722a5c8d0f1 22175 libcrypt-random-seed-perl_0.03.orig.tar.gz
 a447e347bc402a84a156c384e63d04fb6f01135fc5720e3f5771c03f82cefe5a 1519 libcrypt-random-seed-perl_0.03-1.debian.tar.gz
 86e56b0e8d30668f274be4f74a0055088e53c6238e8ab6fd90efecd035d519f9 22486 libcrypt-random-seed-perl_0.03-1_all.deb
Files: 
 fd8607b86e0146eb968ca76fac10297c 2148 perl optional libcrypt-random-seed-perl_0.03-1.dsc
 9bc5a69a8f1964065da7823e19b98da2 22175 perl optional libcrypt-random-seed-perl_0.03.orig.tar.gz
 1f0a1955c9fa6becf4a977ddf2e26dcd 1519 perl optional libcrypt-random-seed-perl_0.03-1.debian.tar.gz
 f21a70aa421014939cceafa9d95ac41d 22486 perl optional libcrypt-random-seed-perl_0.03-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRIASRAAoJEHidbwV/2GP+vx4QAJugxihqL6GG2KTRg8bj9OnG
YTC6cHSM5VK/0NrJBrWemVuVqdsO5EF4B71b/APVdPKcBTJCELgVOVGoZHCAMJAD
hS6Bj5aG8Lm4FxP8PPkwcmhdalKcFgiPDWfTotvmEgmngIhxFSdpiAdePr7QwQN8
br1JRueZIodtJu+fvvKXS7TFLQeMkEMm/12KzkihhhyzKI9eAmCKEgzAJrHEUTaG
v+Jza0ziinIuJYLS+qSELXWaPV8MSP61IRzFuUwdK/Xxt0k5AZkvaxAq7z5U8Hut
xBJcGi/f7Zh2ZxzbS5zAT+HnOxYXJwDfzX7iarFyw3eQ0/6GgGIJ81o8HiYfuZwh
6eRjMXzXFKN1oyrKsFTwvyO6gp9Tl8bvYuBuP47/TwFAd3zfmXvlg2bvSSIpmTeg
2crNhb0TavLpalG4dThOnPgDSmoW/tJt1/96tXjBzalywyHJCbmsGwd+zoHqHUO7
gOl2zvQe9OnSRhkrR/+889KqA4f6Z6mbTSODD7YZ13XnYGpF7LZGRM7HMsFu9RrX
vIyJsg9c7BC++6hiip90wMV6Mn9+oEr5cH31fOyCI/BQNIELZ5wCdTPHxHIp7kIN
f490P/poMvqnUWDS1Dr1tdrXUUJVhrjDIclwEQqoFvXynkWWeZOTvxg70FFLAVrM
Crct+ZGX5A1H1NZoeRJU
=Ia0y
-----END PGP SIGNATURE-----




Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Wed, 27 Feb 2013 11:12:28 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Wed, 27 Feb 2013 11:12:28 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Mar 2013 07:36:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:04:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.